<template>
  <section class="container">
    <div>
      <register-form :field-list="fieldList"/>
    </div>
  </section>
</template>

<script>
// TODO: load this from the DB
// var personal_metadata = {
//   fields: [
//     {
//       key: 0,
//       label: "NUSP",
//       type: "text"
//     },
//     {
//       key: 1,
//       label: "Nascimento",
//       type: "date"
//     },
//     {
//       key: 2,
//       label: "Instituto",
//       type: "choice",
//       options: ["IME", "Poli"]
//     },
//     {
//       key: 3,
//       label: "Linguagens",
//       type: "selection",
//       options: ["Node", "Python"]
//     }
//   ]
// }
var personal_metadata = {
  fields: [
    {
      key: 0,
      label: "NUSP",
      type: "text"
    },
    {
      key: 1,
      label: "Nascimento",
      type: "date"
    },
    {
      key: 2,
      label: "Instituto",
      type: "select",
      options: [
        {
          id: 0,
          value: "IME",
          text: "IME"
        },
        {
          id: 1,
          value: "Poli",
          text: "Poli"
        }
      ]
    },
    {
      key: 3,
      label: "Linguagens",
      type: "checkbox",
      options: [
        {
          id: 0,
          value: "Python",
          text: "Python"
        },
        {
          id: 1,
          value: "Node.js",
          text: "Node.js"
        }
      ]
    },
    {
      key: 4,
      label: "Currículo",
      type: "textarea"
    },
    {
      key: 5,
      label: "Diploma",
      type: "file"
    },
    {
      key: 6,
      label: "Foto",
      type: "image"
    }
  ]
}
import RegisterForm from "~/components/RegisterForm.vue"
export default {
  components: {
    RegisterForm
  },
  data: function() {
    return {
      //fieldList: []
      fieldList: personal_metadata.fields
    }
  }
}
</script>

<style lang="scss">
.container {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.title {
  font-family: "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif; /* 1 */
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}
.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}
.links {
  padding-top: 15px;
}
</style>
